Ubuntu

“libreoffice” 1:3.5.2-2ubuntu1 source package in The Precise Pangolin

Publishing history

1:3.5.2-2ubuntu1
PUBLISHED: Precise pocket Release in component main and section editors
  • Published on 2012-04-10

Changelog

libreoffice (1:3.5.2-2ubuntu1) precise; urgency=low

  * Reverting 4bf0323053b4e21778f4244d111316760db008fb as we do not yet
    have synced the problematic neon-0.29.6-2 from debian to precise
    (LP: related 974103)
  * Reverting 39bf4c059665c168cf1582d7d45cd80df0a7700a as we do not
    deliver lightproof in precise
  * remove upstreamed patches
  * update lp#905355 fix
  * reenable debian hardened patch

libreoffice (1:3.5.2~rc2-2) UNRELEASED; urgency=low

  * debian/patches/gtk3-hack-explicit-gmodule.diff: explicitly link to
    gmodule, as we otherwise get undefined references to g_mdoule_ in the
    gtk3 VCLplug...
  * debian/patches/debian-hardened-buildflags.diff: remove extraneous ""'s
    breaking the build on ia64 as the hardened LDFLAGS is empty there

  * debian/rules:
    - enable Base stuff on s390x again, libebook1.2-dev available now
    - (temporarily?) build with libneon-dev (openssl) to work around #667043
  * debian/uno-libs3.lintian-overrides:
    - override shlibs-declares-dependency-on-other-package and
      symbols-declares-dependency-on-other-package
  * debian/control*.in:
    - make extensions conflicts against libreoffice-core (<< 1:3.5~),
      libreoffice-common (<< 1:3.5~) to (hopefully) help unopkg be working
      when called on upgrades 3.4 -> 3.5 (closes: #666523)
  * debian/control{,.lang}.in:
    - suggest libreoffice-grammarcheck{,-@LCODE@} (e.g. provided by
      lightproof)

libreoffice (1:3.5.2~rc2-1) unstable; urgency=low

  * new upstream release candidate
    - fixes gvfs build for glib (closes: #665574)

  * upload to unstable

  * debian/rules:
    - make make check failure abort again
    - readd apparently lost explicit --with-num-cpus=1 when PARALLEL_BUILD=n,
      the configure check apparently doesn't prevent us from failing (anymore)
  * debian/rules, debian/uno-libs3.symbols:
    - add ure dependency for stuff linked to uno-libs3, too
 -- Bjoern Michaelsen <email address hidden>   Tue, 10 Apr 2012 11:37:47 +0200